Option Strict Off
Option Explicit On
Friend Class frmMain
	Inherits System.Windows.Forms.Form
	Dim buf(100) As Byte
	
	Private Sub cmdBeep1_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdBeep1.Click
		buf(0) = (62500 / 1500)
		buf(1) = 15 ' 15*33.3ms = 500sec
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(21, VarPtr(buf(0)), 2)
	End Sub
	
	Private Sub cmdBgColor_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdBgColor.Click
		buf(1) = 0
		buf(0) = 0
		buf(2) = 255
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(16, VarPtr(buf(0)), 3)
	End Sub
	
	Private Sub cmdClearLog_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdClearLog.Click
		txtLog.Text = ""
	End Sub
	
	Private Sub cmdCloseDevice_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdCloseDevice.Click
		USBLCDRFID1.CloseDevice() ' Close and stop the device
		AddToLog("The Device has been Closed and now is stoped.")
	End Sub
	
	Private Sub cmdCLS_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdCLS.Click
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(5, VarPtr(buf(0)), 0)
	End Sub
	
	Private Sub cmdEnglish_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdEnglish.Click
		buf(0) = 15
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(14, VarPtr(buf(0)), 1)
	End Sub
	
	Private Sub cmdFgColor_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdFgColor.Click
		buf(1) = 255
		buf(0) = &HFFs
		buf(2) = 255
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(22, VarPtr(buf(0)), 3)
	End Sub
	
	Private Sub cmdGetNumber_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdGetNumber.Click
		buf(0) = 2
		buf(1) = 2
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(18, VarPtr(buf(0)), 2)
	End Sub
	
	Private Sub cmdInvert_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdInvert.Click
		buf(0) = 1
		buf(1) = 1
		buf(2) = 120
		buf(3) = 60
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(20, VarPtr(buf(0)), 4)
	End Sub
	
	Private Sub cmdLine_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdLine.Click
		buf(0) = 0
		buf(1) = 0
		buf(2) = 127
		buf(3) = 63
		buf(4) = 255
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(10, VarPtr(buf(0)), 5)
	End Sub
	
	Private Sub cmdOpenDevice_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdOpenDevice.Click
		' this property help you to automatically
		' reconnect to the device if a PollingError event ocured
		' and the device lost. after enabling this the ocx automatically
		' search and try to reconnect to the device each 1500 ms
		' after device lost(PollingError) reached.
		USBLCDRFID1.AutoReconnect = CInt(chkAutoReconnect.CheckState)
		
		' Recomended value for pooling the channel's is some around 250 ms
		' but you can change this value between 50 to 5000 milisecond.
		USBLCDRFID1.PollingPeriod = Val(Text1.Text)
		
		' Now this metode open the device and the device start to work
		' if this methode sucessed it will return 'OK' string
		' and else it will return an error string which cused the error
		' this error may ocured if the device was not connected to a usb port
		' or the driver's was not installed completly.
		If USBLCDRFID1.OpenDevice(CInt(Text3.Text)) = "Ok" Then
			AddToLog("The Device has been Found and now is working properly.")
		Else
			AddToLog("Can NOT find khazama.com USB-RFID-LCD, check connections and drivers.")
		End If
	End Sub
	
	Private Sub AddToLog(ByRef txt As String)
		If txtLog.Text <> "" Then
			txtLog.Text = txt & vbCrLf & txtLog.Text
		Else
			txtLog.Text = txt
		End If
	End Sub
	
	Private Sub cmdPersian_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdPersian.Click
		buf(0) = 1
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(14, VarPtr(buf(0)), 1)
	End Sub
	
	Private Sub cmdPrintAndget_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdPrintAndget.Click
		cmdCLS_Click(cmdCLS, New System.EventArgs())
		
		buf(0) = 0
		buf(1) = 0
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(2, VarPtr(buf(0)), 2) ' goto x y
		
		cmdPutText_Click(cmdPutText, New System.EventArgs())
		
		
		buf(0) = 1
		buf(1) = 0
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(2, VarPtr(buf(0)), 2) ' goto x y
		
		cmdPutText_Click(cmdPutText, New System.EventArgs())
		
		cmdGetNumber_Click(cmdGetNumber, New System.EventArgs())
		
	End Sub
	
	Private Sub cmdPutText_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdPutText.Click
		Dim txt As String
		Dim b() As Byte
		txt = Text2.Text
		'UPGRADE_ISSUE: Constant vbFromUnicode was not upgraded. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="55B59875-9A95-4B71-9D6A-7C294BF7139D"'
		'UPGRADE_TODO: Code was upgraded to use System.Text.UnicodeEncoding.Unicode.GetBytes() which may not have the same behavior. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="93DD716C-10E3-41BE-A4A8-3BA40157905B"'
		b = System.Text.UnicodeEncoding.Unicode.GetBytes(StrConv(txt, vbFromUnicode))
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(1, VarPtr(b(0)), Len(txt))
	End Sub
	
	Private Sub cmdReset_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdReset.Click
		USBLCDRFID1.ResetDevice()
	End Sub
	
	Private Sub cmdScale1_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdScale1.Click
		buf(0) = 1
		buf(1) = 1
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(19, VarPtr(buf(0)), 2)
	End Sub
	
	Private Sub cmdScale2_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdScale2.Click
		buf(0) = 2
		buf(1) = 2
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(19, VarPtr(buf(0)), 2)
	End Sub
	
	Private Sub cmdSetLine_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdSetLine.Click
		buf(0) = 1
		buf(1) = 1
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(2, VarPtr(buf(0)), 2)
	End Sub
	
	Private Sub cmdShowClock_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdShowClock.Click
		buf(0) = 1
		buf(1) = 10
		buf(2) = 20
		buf(3) = 30
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(7, VarPtr(buf(0)), 4)
	End Sub
	
	Private Sub cmdStopCLK_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdStopCLK.Click
		buf(0) = 0
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(7, VarPtr(buf(0)), 1)
	End Sub
	
	Private Sub Command1_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Command1.Click
		Me.Hide() : System.Windows.Forms.Application.DoEvents()
		USBLCDRFID1.Show_About()
		Me.Show()
	End Sub
	
	Private Sub Command2_Click()
		buf(0) = 0
		'UPGRADE_ISSUE: VarPtr function is not supported. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="367764E5-F3F8-4E43-AC3E-7FE0B5E074E2"'
		USBLCDRFID1.SendPacket(7, VarPtr(buf(0)), 1)
		
	End Sub
	
	'UPGRADE_NOTE: Form_Terminate was upgraded to Form_Terminate_Renamed. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"'
	'UPGRADE_WARNING: frmMain event Form.Terminate has a new behavior. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="6BA9B8D2-2A32-4B6E-8D36-44949974A5B4"'
	Private Sub Form_Terminate_Renamed()
		USBLCDRFID1.CloseDevice()
		System.Windows.Forms.Application.DoEvents()
		Me.Close()
		End
	End Sub
	
	'UPGRADE_WARNING: Event Text1.TextChanged may fire when form is initialized. Click for more: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="88B12AE1-6DE0-48A0-86F1-60C0686C026A"'
	Private Sub Text1_TextChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Text1.TextChanged
		If IsNumeric(Text1.Text) = False Then Text1.Text = "150"
	End Sub
	
	
	Private Sub USBLCDRFID1_FreeKeyPresed(ByVal eventSender As System.Object, ByVal eventArgs As AxUSBRFIDLCD.__USBLCDRFID_FreeKeyPresedEvent) Handles USBLCDRFID1.FreeKeyPresed
		'    AddToLog "Free Presed Key : " & Chr(KeyCode)
	End Sub
	
	Private Sub USBLCDRFID1_GetNumResult(ByVal eventSender As System.Object, ByVal eventArgs As AxUSBRFIDLCD.__USBLCDRFID_GetNumResultEvent) Handles USBLCDRFID1.GetNumResult
		AddToLog("Get Number Result is : " & eventArgs.Nm)
	End Sub
	
	Private Sub USBLCDRFID1_KeyPresed(ByVal eventSender As System.Object, ByVal eventArgs As AxUSBRFIDLCD.__USBLCDRFID_KeyPresedEvent) Handles USBLCDRFID1.KeyPresed
		AddToLog("Presed Keys : " & eventArgs.KeyCode)
	End Sub
	
	Private Sub USBLCDRFID1_NewRFID(ByVal eventSender As System.Object, ByVal eventArgs As AxUSBRFIDLCD.__USBLCDRFID_NewRFIDEvent) Handles USBLCDRFID1.NewRFID
		AddToLog("New RFID Detected Code : " & eventArgs.RFIDCode)
	End Sub
	
	' The ocx check connection between usb and the device periodically
	' if the ocx detect that the device does not response to its polling's for a special duration
	' this event will fire to indicate to the software(top level software) that the conenction
	' is died and it need to establish again.
	' by setting AutoReconnect parameter to any values greater than zero(0) the ocx try
	' to reconnect to the device each time this condition reached.
	Private Sub USBLCDRFID1_PollingError(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles USBLCDRFID1.PollingError
		AddToLog("The device lost!, check connections and re-open the device.")
		USBLCDRFID1.CloseDevice()
	End Sub
	
	' if AutoReconnect set to any values greater than zero(0) after a PollingError
	' event the ocx try to reconnect to the device, if this try be sucess and ocx can find
	' and open the device again properly, this event will fire to indicate to top level
	' software that the device starts working properly again.
	Private Sub USBLCDRFID1_Reconnected(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles USBLCDRFID1.Reconnected
		AddToLog("The device has been found AGAIN and now is working properly.")
	End Sub
End Class